# TableaunoirXcas

TableaunoirXcas is an online blackboard tool. It can be used like a
traditional blackboard but you can also create "fridge magnets" with
images, text or Xcas, Python and Javascript evaluable commandlines.
Blackboards can easily be shared by an email or a public forum link.

"Tableau noir" means blackboard in French. The online version is available here:
[https://www-fourier.univ-grenoble-alpes.fr/~parisse/tableaunoirxcas/]



## Example of courses

Tableaunoir is used for teaching. The main advantage is that the screen is fully black: there are no buttons that annoy the students (in my personal use, I simply hide the toolbar). Tableaunoir is controlled by a graphic tablet and by the keyboard of the computer. It makes it very interactive compared to fixed slides. 

[https://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=37&t=2607]

## Features

* Of course, you can draw and erase.
* You can also use kind of predefined fridge magnets that you can move on the board, to make animation e.g. for illustrating sorting algorithms, etc.
* Create your own customized "fridge magnets" for interactive courses.
* Color palette for chalk
* Change the color of magnets' background
* Load/Save the current board
* Export to PNG and PDF
* Add text, images
* Commandlines can be eval-ed with Xcas, MicroPython or Javascript
* Math rendering
* Switch to a whiteboard instead of a blackboard

You can teach online by sharing the screen with softwares like Big Blue Button.

## Screenshots

<img src="./img/screenshot.png" alt="screenshot" width="300"/> <img src="./img/screenshot2.png" alt="screenshot" width="150"/> <img src="./img/screenshot3.png" alt="screenshot" width="300"/>
<img src="./img/simcitygraph.png" alt="screenshot" width="300"/>
<img src="./img/euclide.png" alt="screenshot" width="300"/>
<img src="./img/screenshot_tablet.jpg" alt="screenshot" width="300"/>





## Offline version
Unzip 
[https://www-fourier.univ-grenoble-alpes.fr/~parisse/tableaunoirxcas.zip]
and open the file tableaunoirxcas/index.html

## Credits

Somes pictures come from [https://github.com/nicholas-ochoa/OpenSC2K].
